Skip to main content

Signicat Account API (v1)

Download OpenAPI specification:Download

Account

Provides management endpoints for Accounts.

List accounts

query Parameters
limit
integer <int32>
Default: 50

Max results to return.

page
string

Opaque pagination token.

deleted
boolean

If true, will only retrieve soft deleted accounts.

Responses

Response samples

Content type
{}

Create account

Request Body schema: application/json
name
required
string [ 1 .. 255 ] characters
Example: "My Account"

Display name

organizationId
required
string non-empty
Example: "o-p-0TgcUq7CylltM7OkwB4t"

Organization ID to place the account under

isSandbox
required
boolean
Example: "false"

Whether the account is a sandbox account

region
required
string non-empty EU
Example: "EU"

Which region the account belongs to

cloud
required
string non-empty GCP|OTC
Example: "GCP"

Which cloud the account belongs to

Responses

Request samples

Content type
application/json
{
  • "name": "My Account",
  • "organizationId": "o-p-0TgcUq7CylltM7OkwB4t",
  • "isSandbox": false,
  • "region": "EU",
  • "cloud": "GCP"
}

Response samples

Content type
{
  • "id": "a-ppge-ovC1eMDgt0hkgqZUSaPh",
  • "name": "My Account",
  • "createdDate": "",
  • "lastModifiedDate": "2022-05-11T11:28:59Z",
  • "isSoftDeleted": null,
  • "softDeletedAt": null,
  • "organization": {},
  • "isSandbox": false,
  • "region": "EU",
  • "cloud": "GCP",
  • "enabled": true,
  • "isDeleteProtected": false,
  • "products": [
    ]
}

Retrieve account

path Parameters
accountId
required
string
query Parameters
deleted
boolean

If true, will allow retrieving an account even if it has been soft deleted.

Responses

Response samples

Content type
{
  • "id": "a-ppge-ovC1eMDgt0hkgqZUSaPh",
  • "name": "My Account",
  • "createdDate": "",
  • "lastModifiedDate": "2022-05-11T11:28:59Z",
  • "isSoftDeleted": null,
  • "softDeletedAt": null,
  • "organization": {},
  • "isSandbox": false,
  • "region": "EU",
  • "cloud": "GCP",
  • "enabled": true,
  • "isDeleteProtected": false,
  • "products": [
    ]
}

Update account

path Parameters
accountId
required
string
Request Body schema: application/json
name
required
string [ 1 .. 255 ] characters
Example: "My Account"

Display name

enabled
boolean
Example: "true"

Whether the account is enabled

Responses

Request samples

Content type
application/json
{
  • "name": "My Account",
  • "enabled": true
}

Response samples

Content type
{
  • "id": "a-ppge-ovC1eMDgt0hkgqZUSaPh",
  • "name": "My Account",
  • "createdDate": "",
  • "lastModifiedDate": "2022-05-11T11:28:59Z",
  • "isSoftDeleted": null,
  • "softDeletedAt": null,
  • "organization": {},
  • "isSandbox": false,
  • "region": "EU",
  • "cloud": "GCP",
  • "enabled": true,
  • "isDeleteProtected": false,
  • "products": [
    ]
}

Delete account

path Parameters
accountId
required
string
query Parameters
permanent
boolean

If true, will delete the account permanently.

Responses

Set delete protection

path Parameters
accountId
required
string
Request Body schema: application/json
isDeleteProtected
boolean
Example: "true"

Whether the account is delete-protected

Responses

Request samples

Content type
application/json
{
  • "isDeleteProtected": true
}

Undelete account

path Parameters
accountId
required
string

Responses

Response samples

Content type
{
  • "id": "a-ppge-ovC1eMDgt0hkgqZUSaPh",
  • "name": "My Account",
  • "createdDate": "",
  • "lastModifiedDate": "2022-05-11T11:28:59Z",
  • "isSoftDeleted": null,
  • "softDeletedAt": null,
  • "organization": {},
  • "isSandbox": false,
  • "region": "EU",
  • "cloud": "GCP",
  • "enabled": true,
  • "isDeleteProtected": false,
  • "products": [
    ]
}

Contact

Provides management endpoints for contact persons.

List contacts

query Parameters
limit
integer <int32>
Default: 50

Max results to return.

page
string

Opaque pagination token.

Responses

Response samples

Content type
{}

Create contact

Request Body schema: application/json
organizationId
string or null

Organization ID to place the contact under

firstName
required
string [ 1 .. 64 ] characters

First name

middleName
string or null [ 0 .. 64 ] characters

Middle name

lastName
required
string [ 1 .. 64 ] characters

Last name

email
string or null [ 0 .. 128 ] characters

Email address

mobile
string or null [ 0 .. 128 ] characters

Mobile phone number

phone
string or null [ 0 .. 128 ] characters

Phone number

country
string or null = 2 characters

Country the contact resides in

roles
Array of strings or null (ContactRole)
Enum: "Other" "CommercialOwner" "MainTechnicalContact" "FinancialContact"

Roles of the contact

Responses

Request samples

Content type
application/json
{
  • "organizationId": "o-p-0TgcUq7CylltM7OkwB4t",
  • "firstName": "Harald",
  • "middleName": null,
  • "lastName": "Hårfagre",
  • "email": "harald@hårfagre.no",
  • "mobile": "+4799999999",
  • "phone": null,
  • "country": "NO",
  • "roles": null
}

Response samples

Content type
{
  • "id": "c-p-5831eMDkMehkgq39L3KK",
  • "name": "Harald Hårfagre",
  • "firstName": "Harald",
  • "middleName": null,
  • "lastName": "Hårfagre",
  • "email": "harald@hårfagre.no",
  • "mobile": "+4799999999",
  • "phone": null,
  • "country": "NO",
  • "organization": {},
  • "roles": null
}

Retrieve contact

path Parameters
contactId
required
string

Responses

Response samples

Content type
{
  • "id": "c-p-5831eMDkMehkgq39L3KK",
  • "name": "Harald Hårfagre",
  • "firstName": "Harald",
  • "middleName": null,
  • "lastName": "Hårfagre",
  • "email": "harald@hårfagre.no",
  • "mobile": "+4799999999",
  • "phone": null,
  • "country": "NO",
  • "organization": {},
  • "roles": null
}

Update contact

path Parameters
contactId
required
string
Request Body schema: application/json
organizationId
string or null

Organization ID to place the contact under

firstName
string or null [ 0 .. 64 ] characters

First name

middleName
string or null [ 0 .. 64 ] characters

Middle name

lastName
string or null [ 1 .. 64 ] characters

Last name

email
string or null [ 0 .. 128 ] characters

Email address

mobile
string or null [ 0 .. 128 ] characters

Mobile phone number

phone
string or null [ 0 .. 128 ] characters

Phone number

country
string or null [ 0 .. 2 ] characters

Country the contact resides in

roles
Array of strings or null (ContactRole)
Enum: "Other" "CommercialOwner" "MainTechnicalContact" "FinancialContact"

Roles of the contact

Responses

Request samples

Content type
application/json
{
  • "organizationId": "o-p-0TgcUq7CylltM7OkwB4t",
  • "firstName": "Harald",
  • "middleName": null,
  • "lastName": "Hårfagre",
  • "email": "harald@hårfagre.no",
  • "mobile": "+4799999999",
  • "phone": null,
  • "country": "NO",
  • "roles": null
}

Response samples

Content type
{
  • "id": "c-p-5831eMDkMehkgq39L3KK",
  • "name": "Harald Hårfagre",
  • "firstName": "Harald",
  • "middleName": null,
  • "lastName": "Hårfagre",
  • "email": "harald@hårfagre.no",
  • "mobile": "+4799999999",
  • "phone": null,
  • "country": "NO",
  • "organization": {},
  • "roles": null
}

Update contact

path Parameters
contactId
required
string
Request Body schema: application/json
organizationId
string or null

Organization ID to place the contact under

firstName
string or null [ 0 .. 64 ] characters

First name

middleName
string or null [ 0 .. 64 ] characters

Middle name

lastName
string or null [ 1 .. 64 ] characters

Last name

email
string or null [ 0 .. 128 ] characters

Email address

mobile
string or null [ 0 .. 128 ] characters

Mobile phone number

phone
string or null [ 0 .. 128 ] characters

Phone number

country
string or null [ 0 .. 2 ] characters

Country the contact resides in

roles
Array of strings or null (ContactRole)
Enum: "Other" "CommercialOwner" "MainTechnicalContact" "FinancialContact"

Roles of the contact

Responses

Request samples

Content type
application/json
{
  • "organizationId": "o-p-0TgcUq7CylltM7OkwB4t",
  • "firstName": "Harald",
  • "middleName": null,
  • "lastName": "Hårfagre",
  • "email": "harald@hårfagre.no",
  • "mobile": "+4799999999",
  • "phone": null,
  • "country": "NO",
  • "roles": null
}

Response samples

Content type
{
  • "id": "c-p-5831eMDkMehkgq39L3KK",
  • "name": "Harald Hårfagre",
  • "firstName": "Harald",
  • "middleName": null,
  • "lastName": "Hårfagre",
  • "email": "harald@hårfagre.no",
  • "mobile": "+4799999999",
  • "phone": null,
  • "country": "NO",
  • "organization": {},
  • "roles": null
}

Delete contact

path Parameters
contactId
required
string

Responses

Invoice

List invoices

The default value of invoiceDateBefore is the current time.

query Parameters
invoiceDateAfter
string <date-time>
invoiceDateBefore
string <date-time>

Responses

Response samples

Content type
[
  • {
    }
]

Retrieve invoice

path Parameters
invoiceNumber
required
string

Responses

Response samples

Content type
{
  • "organizationId": "string",
  • "organizationName": "string",
  • "usageOrganizationId": "string",
  • "usageOrganizationName": "string",
  • "invoiceNumber": "string",
  • "invoiceDate": "2019-08-24T14:15:22Z",
  • "invoiceAddressCountryRegionISOCode": "string",
  • "invoiceAddressZipCode": "string",
  • "totalTaxAmount": 0.1,
  • "invoiceAddressStreetNumber": "string",
  • "invoiceAddressStreet": "string",
  • "totalChargeAmount": 0.1,
  • "totalDiscountAmount": 0.1,
  • "currencyCode": "string",
  • "salesOrderNumber": "string",
  • "invoiceAddressCity": "string",
  • "invoiceHeaderTaxAmount": 0.1,
  • "invoiceAddressState": "string",
  • "invoiceAddressCountryRegionId": "string",
  • "customersOrderReference": "string",
  • "totalInvoiceAmount": 0.1,
  • "paymentId": "string",
  • "invoiceCustomerAccountNumber": "string",
  • "sigContractRef": "string",
  • "sigDocumentRef": "string",
  • "settled": true,
  • "lines": [
    ]
}

Download invoice

path Parameters
invoiceNumber
required
string

Responses

Response samples

Content type
{
  • "type": "string",
  • "title": "string",
  • "status": 0,
  • "detail": "string",
  • "instance": "string",
  • "property1": null,
  • "property2": null
}

Metadata

List countries

Returns a list of all countries supported by the API.

Responses

Response samples

Content type
{
  • "data": [
    ]
}

Validate name

Validates the given account or organization name and returns 200 OK if it can be used to create an organization or account, otherwise 400 Bad Request with the error(s)

query Parameters
name
string

Responses

Response samples

Content type
{
  • "name": "string"
}

Organization

Provides management endpoints for Organizations.

List organizations

query Parameters
page
string

Opaque pagination token.

limit
integer <int32>
Default: 50

Max results to return.

Responses

Response samples

Content type
{}

Create organization

Request Body schema: application/json
name
required
string [ 3 .. 255 ] characters

Name

website
string or null [ 0 .. 255 ] characters

Home page

entityId
string or null [ 0 .. 255 ] characters

Organization Entity ID / Org.no

entityVatNumber
string or null [ 0 .. 255 ] characters

VAT Number

entityLegalName
string or null [ 0 .. 255 ] characters

Legal name of the entity / organization

country
string or null = 2 characters

Country the organization is registered in

billingEmail
string or null <email> [ 0 .. 255 ] characters

Billing email

object or null

Billing address

parentOrganizationId
required
string non-empty

The parent organization of the organization

Responses

Request samples

Content type
application/json
{
  • "name": "My Organization",
  • "website": "https://myorg.com",
  • "entityId": "999000999",
  • "entityVatNumber": null,
  • "entityLegalName": null,
  • "country": "NO",
  • "billingEmail": "billing@myorg.com",
  • "billingAddress": {
    },
  • "parentOrganizationId": "o-p-avKce97dOKlnAlOw2R55"
}

Response samples

Content type
{}